<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/dialog_content"
        android:layout_width="344dp"
        android:layout_height="418dp"
        android:layout_centerInParent="true"
        android:background="@mipmap/christmas_bg_qiangrew"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/dialog_iv"
            android:layout_width="@dimen/content_padding_65"
            android:layout_height="@dimen/content_padding_65"
            android:layout_marginTop="120dp"
            android:src="@drawable/loading_01" />

        <TextView
            android:id="@+id/dialog_name_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:text="永恒仙域"
            android:textColor="#ffffff"
            android:textSize="12sp" />

        <ImageView
            android:id="@+id/dialog_iv_2"
            android:layout_width="80dp"
            android:layout_height="@dimen/content_padding_65"
            android:layout_marginTop="90dp"
            android:src="@mipmap/change_make_money"
            android:visibility="gone" />

        <TextView
            android:id="@+id/dialog_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/cur_xian_jin_amount"
            android:textColor="#999999"
            android:textSize="11sp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/dialog_amount_container"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/dialog_amount_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="+1元"
                android:textColor="#ffffff"
                android:textSize="18sp"
                android:textStyle="bold" />

            <View
                android:id="@+id/dialog_line"
                android:layout_width="5dp"
                android:layout_height="1dp" />

            <TextView
                android:id="@+id/dialog_gift_tv"
                style="@style/christmas_style_xian_jin"
                android:text="现金" />
        </LinearLayout>

        <TextView
            android:id="@+id/dialog_gift_code_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="50dp"
            android:layout_marginTop="5dp"
            android:layout_marginEnd="50dp"
            android:text="@string/gift_bag_code"
            android:textColor="#fffd2d54"
            android:textSize="11sp"
            android:visibility="invisible" />

        <TextView
            android:id="@+id/dialog_gift_info_tv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="50dp"
            android:layout_marginTop="5dp"
            android:layout_marginEnd="50dp"
            android:text="*领取礼包并复制礼包码后可进入游戏中粘贴礼包码兑换礼包"
            android:maxLines="2"
            android:ellipsize="end"
            android:textColor="#ffffffff"
            android:textSize="11sp"
            android:visibility="invisible" />

        <include layout="@layout/christmas_x_msg_dialog_btn_purple_blue" />
    </LinearLayout>

    <ImageView
        android:id="@+id/dialog_close"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_below="@+id/dialog_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="20dp"
        android:src="@mipmap/close" />

</RelativeLayout>